2009年5月26日

[debian-users:52490] Re: OpenOfficeの縦書き問題

返信ありがとうございます。

> https://forums.ubuntulinux.jp/viewtopic.php?id=1892
> によると、本家からダウンロードした openoffice 2.4 では縦書き表示が
> ちゃんとできたと書いてありますから、debian や ubuntu のパッケージ
> 固有の問題かもしれません。もっとも、fedora8 でも縦書きが見えなくなる
> という情報もありますけれど。

なるほど。本家では発生しないのですか。パッケージ固有の問題ならば、少々難
癖がありそうですね。情報ありがとうございます。

Debianでは既にバグ報告されているのでしょうかね? また調べてみます。なけ
ればバグ報告したいと考えていますが、きっと英文でしか受け付けないでしょう
かね……。英文のバグ報告はしたことがありませんし、英語は元々苦手な方で
す……。


> 当方ではこんな具合でした。
>
> $ sudo aptitude -t lenny-backports install openoffice.org
> パッケージリストを読み込んでいます... 完了
>
> ---- (省略) ----
>
> 以下のパッケージは依存関係が壊れています:
> openoffice.org openoffice.org-base openoffice.org-base-core
> openoffice.org-calc openoffice.org-common openoffice.org-core
> openoffice.org-draw openoffice.org-filter-binfilter
> openoffice.org-impress openoffice.org-l10n-ja openoffice.org-math
> openoffice.org-officebean openoffice.org-style-crystal
> openoffice.org-style-tango openoffice.org-writer python-uno
>
> ---- (省略) ----
>
> この解決方法を受け入れますか? [Y/n/q/?]y
> 以下の新規パッケージがインストールされます:
> libpq5{a} libraptor1{a} librasqal0{a} librdf0{a}
> openoffice.org-style-galaxy{a} raptor-utils{a} redland-utils{a}
> uno-libs3{a} ure{a} xfonts-mathml{a}
> 以下のパッケージが削除されます:
> openoffice.org-style-andromeda{u}
> 以下のパッケージが更新されます:
> dictionaries-common openoffice.org openoffice.org-base
> openoffice.org-base-core openoffice.org-calc openoffice.org-common
> openoffice.org-core openoffice.org-draw openoffice.org-filter-binfilter
> openoffice.org-impress openoffice.org-java-common openoffice.org-l10n-ja
> openoffice.org-math openoffice.org-officebean
> openoffice.org-style-crystal openoffice.org-style-tango
> openoffice.org-writer python-uno
> 更新: 18 個、新規インストール: 10 個、削除: 1 個、保留: 12 個。
> 120MB のアーカイブを取得する必要があります。展開後に 33.3MB のディスク
> 領域が新たに消費されます。
> 先に進みますか? [Y/n/?] y


報告ありがとうございます。

実は「依存関係が壊れる」という文言に少々不安なところがあったため「この解
決方法を受け入れますか?」で、nを選択しました。しかし何度も同じ質問を繰
り返す(パッケージは違う)ので、無理矢理「Ctrl+C」で中止しました。確か
「スコアは○○です」とかもでたような。

Debianをインストールして使いやすいように構築する際、オフィス関係のソフト
ウェアを多く入れすぎたのが原因ではないかと推測で思います。これはDebianを
インストールし、オフィス関係のソフトウェアを追加する前に、バックポートの
リポジトリを追加してからすぐに入れるべきだと思いますが、どうでしょうか。


追加情報として、現在、アップデートマネージャーや、コンソール上からアップ
デートしたり、ソフトウェアをアップデート、もしくは新規インストールしたり
する際「依存関係が壊れているから、これを先に何とかしろ」とか言うエラーで
前にも後ろにも進めない、ということはありません。昨日、実際(Synapticか
ら)Compizをインストールできましたから。

確か依存関係が壊れていると、これを起動(Synaptic)したときに警告が出ませ
んでしたっけ? Debianでは出たことがないのでよく分かりませんが。


とりあえずこの件につきましては縦書きの際には「ボールド体」で乗りきること
にし、あとはDebianからの修正を待ちたいと思っています。また、バグ報告があ
るかどうかも調べ、なければ報告したいと考えています。

以上です。よろしくお願いします。

投稿者 xml-rpc : 2009年5月26日 14:47
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/85343
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。